# News Slider (EN) #

## Overview ##
"News Slider" plugin for Moodle allows you to add a customizable scrollable news banner on pages, which can for example display your course or site announcements.

## Features ##

1. **Simplicity & Compatibility**: A text block with access restriction that is easy to set up and compatible with different Moodle themes.

2. **Customizable color**: The color is configurable to adapt to your graphic charter.

3. **6 Configurable Simultaneous Announcements**: Up to 6 mutual announcements to any blocks you have within your courses and/or dashboard that can also be customized and may also contain links.

4. **"FilterCodes friendly"**  : Combine this plugin with the power of the FilterCodes text filter to add user-specific information to your ads.

## Installing via uploaded ZIP file ##

1. Log in to your Moodle site as an admin and go to _Site administration >
   Plugins > Install plugins_.
2. Upload the ZIP file with the plugin code. You should only be prompted to add
   extra details if your plugin type is not automatically detected.
3. Check the plugin validation report and finish the installation.

## Installing manually ##

The plugin can be also installed by putting the contents of this directory to

    {your/moodle/dirroot}/blocks/news_slider

Afterwards, log in to your Moodle site as an admin and go to _Site administration >
Notifications_ to complete the installation.

Alternatively, you can run

    $ php admin/cli/upgrade.php

to complete the installation from the command line.

## License ##

2023 YMAG info@ymag.fr https://www.ymag.fr/

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <https://www.gnu.org/licenses/>.

---------------------------------------------------------------------------------------------------------------------------------------------------------

# News Slider (FR) #

## Présentation ##
Le plugin "News Slider" pour Moodle permet d'ajouter un bandeau d'actualité défilante personnalisable sur les pages, pouvant, par exemple, afficher vos annonces de cours ou du site.

## Fonctionnalités ##

1. **Simplicité & Compatibilité** : Un bloc textuel avec restriction d’accès, simple à mettre en place et étant compatible avec les différents thèmes Moodle.

2. **Couleur personnalisable** : La couleur est paramétrable pour s’adapter à votre charte graphique.

3. **6 Annonces simultanées paramétrables** : Jusqu'à 6 annonces mutuelles à tous les blocs que vous disposerez au sein de vos cours et/ou du tableau de bord personnalisables et pouvant également contenir des liens.

4. **"FilterCodes friendly"**  : Combinez ce plugin avec la puissance du filtre textuel FilterCodes pour ajouter à vos annonces des informations spécifiques à vos utilisateurs.

## Installation via un fichier ZIP téléchargé ##

1. Connectez-vous à votre site Moodle en tant qu'administrateur et allez à _Administration du site >
   Plugins > Installer des plugins_.
2. Téléchargez le fichier ZIP avec le code du plugin. Vous ne devriez être invité à ajouter
   des détails supplémentaires que si le type de votre plugin n'est pas automatiquement détecté.
3. Vérifiez le rapport de validation du plugin et terminez l'installation.

## Installation manuelle ##

Le plugin peut également être installé en mettant le contenu de ce répertoire dans

    {votre/répertoire/racine/moodle}/blocks/news_slider

Ensuite, connectez-vous à votre site Moodle en tant qu'administrateur et allez à _Administration du site >
Notifications_ pour terminer l'installation.

Alternativement, vous pouvez exécuter

    $ php admin/cli/upgrade.php

pour terminer l'installation depuis la ligne de commande.

## License ##

2023 YMAG info@ymag.fr https://www.ymag.fr/

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <https://www.gnu.org/licenses/>.
